
QGIS Application - Feature request #2231

No warnings when connection settings overwrites

2009-12-09 10:57 AM - Alexander Bruy

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12291

Description

Testcase

1. Create a new connection to [[PostGIS]] database with all fields filled and save it

2. Create another connection with same name and fill fields with another data

3. Save second connection

First connection will be overwritten without any warnings and prompts. Same problem with WMS commections - there is no overwrite

prompt or warning message.

Discussion in Russian http://gis-lab.info/forum/viewtopic.php?f=35&#38;t=4346

Simple patches attached, but this is not an elegant solution.

History

#1 - 2009-12-09 11:10 AM - Giovanni Manghi

Does this happen also for wfs connections?

#2 - 2009-12-09 01:41 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

extended version of the patch applied in commit:80c1cf32 (SVN r12391). Thanks.

Files

qgsnewconnection.cpp_add_overwrite_prompt.patch 1.01 KB 2009-12-09 Alexander Bruy

qgsnewhttpconnection.cpp_add_overwrite_prompt.patch 1.16 KB 2009-12-09 Alexander Bruy

2025-12-21 1/1

http://gis-lab.info/forum/viewtopic.php?f=35&#38;t=4346

